﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9100+Opt250
INSTRUMENT:            Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9100+Opt250
INSTRUMENT:            Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9100+Opt250
INSTRUMENT:            Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9100+Opt250
INSTRUMENT:            Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /9100+Opt250
DATE:                  2009-06-18 13:42:07
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       16
NUMBER OF LINES:       484
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Model(s) Covered:
#        TPS 2012, TPS 2014, TPS 2024
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TPS2000 Cal Initialize RS-232
#        Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek TPS2000 Cal Initialize RS-232

  1.002  JMPL         DCV_MEAS                     PSUBI("DCV Meas")
  1.003  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.004  JMPL         TRIGGER                      PSUBI(" Trig Sens")
  1.005  JMPL         EXT_TRIGGER                  PSUBI("ExTrig Sens")
  1.006  JMPL         SAMPLE_RATE                  PSUBI("Sample Rate")
  1.007  DISP         {Undefined subprocedure!}
  1.008  END

  1.009  EVAL   Increment step number

# ************************* DC Voltage Measurement  **************************

  2.001  LABEL        DCV_MEAS

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =DC VOLTAGE MEASUREMENT ACCURACY
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         = Channel [V @Chan]
  2.008  HEAD         CH [V @Chan] DC VOLTAGE MEASUREMENT ACCURACY
  2.009  HEAD         -2 5 mV/div
  2.010  TSET         TDESC = 5 mV/div
  2.011  TARGET       -p
  2.012  DISP         Connect the 9100 SIG OUT (on rear) to UUT CH [V @Chan].
  2.013  PORT         CH[V @Chan]:PRO 1;SCA 5E-3
  2.014  PORT         ACQ:MOD AVE;NUMAV 16
  2.015  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN
  2.016  TARGET       -m
  2.017  9100         17.5mV                                         SC S
# Retrieve the accuracy of positive output of calibrator.
  2.018  MATH         PosAcc = ACCV("Datron 9100", "Volts", MEM1 * 1E-3)
  2.019  WAIT         -t 7 Settling...
  2.020  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  2.021  MATH         PosValue = MEM / 1E-3
  2.022  9100         -17.5mV                                        SC S
# Retrieve the accuracy of negative output of calibrator.
  2.023  MATH         NegAcc = ACCV("Datron 9100", "Volts", MEM1 * 1E-3)
  2.024  WAIT         -t 7 Settling...
  2.025  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  2.026  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to 95% confidence level.
  2.027  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9100" ) * 2
# Setup system accuracy.
  2.028  MATH         L[1] = L[1] / 1E-3
  2.029  ACC          35.0mV         L1U
  2.030  MATH         MEM = PosValue - NegValue
  2.031  MEMCX        35.0mV         1.4U

  3.001  HEAD         -2 200 mV/div
  3.002  TSET         TDESC = 200 mV/div
  3.003  PORT         CH[V @Chan]:SCA 200E-3
  3.004  TARGET       -m
  3.005  9100         700mV                                          SC S
  3.006  MATH         PosAcc = ACCV("Datron 9100", "Volts", MEM1 * 1E-3)
  3.007  WAIT         -t 7 Settling...
  3.008  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  3.009  MATH         PosValue = MEM / 1E-3
  3.010  9100         -700mV                                         SC S
  3.011  MATH         NegAcc = ACCV("Datron 9100", "Volts", MEM1 * 1E-3)
  3.012  WAIT         -t 7 Settling...
  3.013  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  3.014  MATH         NegValue = MEM / 1E-3
  3.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9100" ) * 2
  3.016  MATH         L[1] = L[1] / 1E-3
  3.017  ACC          1400mV         L1U
  3.018  MATH         MEM = PosValue - NegValue
  3.019  MEMCX        mV             42U

  4.001  HEAD         -2 2 V/div
  4.002  TSET         TDESC = 2 V/div
  4.003  PORT         CH[V @Chan]:SCA 2
  4.004  TARGET       -m
  4.005  9100         7.00V                                          SC S
  4.006  MATH         PosAcc = ACCV("Datron 9100", "Volts", MEM1)
  4.007  WAIT         -t 7 Settling...
  4.008  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  4.009  MATH         PosValue = MEM
  4.010  9100         -7.00V                                         SC S
  4.011  MATH         NegAcc = ACCV("Datron 9100", "Volts", MEM1)
  4.012  WAIT         -t 7 Settling...
  4.013  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  4.014  MATH         NegValue = MEM
  4.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9100" ) * 2
  4.016  ACC          14.00V         L1U
  4.017  MATH         MEM = PosValue - NegValue
  4.018  MEMCX        V              0.42U

  5.001  9100         *                                                 S
  5.002  HEAD         -2
  5.003  END

  5.004  EVAL   Increment step number

# ********************************* Bandwidth  *******************************

  6.001  LABEL        BANDWIDTH

  6.002  IF           @Chan == 1
  6.003  RSLT         =
  6.004  RSLT         =BANDWIDTH
  6.005  ENDIF

  6.006  RSLT         =
  6.007  RSLT         = Channel [V @Chan]
  6.008  HEAD         CH [V @Chan] BANDWIDTH
  6.009  HEAD         -2 500 mV/div
  6.010  TARGET
  6.011  DISP         Connect the 9100 SIG OUT (on rear) via a 50 Ohm feed
  6.011  DISP         through terminator to the UUT CH [V @Chan].
  6.012  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
  6.013  PORT         ACQUIRE:MODE AVERAGE;NUMAVG 16;STATE ON
  6.014  PORT         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
  6.015  PORT         HOR:SCA 10E-6
  6.016  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.98 V and 3.02 V.
  6.017  MATH         MEM = 3; MEM1 = MEM

  6.018  DO
  6.019  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.020  IF           MEM > 5.56 || MEM < 0.00444
  6.021  MATH         MEM = 3
  6.022  ENDIF

  6.023  DO
  6.024  9100         Vpp                          50kH           LS SC S  L
  6.025  PORT         [D1000]Trig:MAI:SETL
# Check the status of trigger
  6.026  PORT         [D500]TRIG:STATE?[I$]
  6.027  UNTIL        FINDI(MEM2, "TRIG", 1)

  6.028  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  6.029  UNTIL        (MEM >= 2.85) && (MEM <= 3.15)

  6.030  PORT         HOR:SCA 10E-9
# Last calibrator amplitude setting is in MEM1.
  6.031  MATH         MEM = MEM1

  6.032  IF           @Bandwidth == 100E+6
  6.033  9100         Vpp                          100MH          LS SC S  L
  6.034  ELSEIF       @Bandwidth == 200E+6
  6.035  9100         Vpp                          200MH          LS SC S  L
  6.036  ENDIF

  6.037  WAIT         -t 5 System settling...
  6.038  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  6.039  EVAL   -e MEM >= 2.12 : [32]500 mV/div, >= 2.12 Vpp

  7.001  9100         *                                                 S
  7.002  HEAD         -2
  7.003  END

  7.004  EVAL   Increment step number

# ********************************** Trigger  ********************************

  8.001  LABEL        TRIGGER

  8.002  IF           @Chan == 1
  8.003  RSLT         =
  8.004  RSLT         =EDGE-TRIGGER SENSITIVITY
  8.005  ENDIF

  8.006  RSLT         =
  8.007  RSLT         = Channel [V @Chan]
  8.008  HEAD         CH [V @Chan] EDGE-TRIGGER SENSITIVITY
  8.009  TARGET
  8.010  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
  8.011  PORT         HOR:SCA 25E-9
  8.012  PORT         ACQ:MOD SAMP;STATE ON
  8.013  PORT         TRIG:MAI:MOD NORM;EDGE:SOU CH[V @Chan]
  8.014  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1000 mV (twice of required test signal).
  8.015  MATH         MEM = 1000; MEM1 = MEM

  8.016  DO
  8.017  MATH         MEM = MEM1 + (1000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.018  IF           MEM > 5560 || MEM < 4.44
  8.019  MATH         MEM = 1000
  8.020  ENDIF

  8.021  DO
  8.022  9100         mVpp                         10MH           LS SC S  L
  8.023  PORT         [D1000]Trig:MAI:SETL
# Check the status of trigger
  8.024  PORT         [D500]TRIG:STATE?[I$]
  8.025  UNTIL        FINDI(MEM2, "TRIG", 1)

  8.026  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  8.027  MATH         MEM = MEM / 1E-3
  8.028  UNTIL        (MEM >= 950) && (MEM <= 1050)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 500 mVpp that is just the required test signal for trig
# sensitivity (1 div at 10 MHz).
  8.029  MATH         MEM = MEM1 / 2
  8.030  9100         mVpp                         10MH           LS SC S  L
  8.031  MATH         mVppStd = MEM1
  8.032  PORT         TRIG:MAI SETLEV
# Save the peak value of signal for later checking the trigger status.
  8.033  MATH         @PeakValue = mVppStd / 2 * 1E-3
  8.034  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
  8.035  MATH         ResultStr = " Rising Slope, 1 div at 10 MHz"
  8.036  EVAL   -e @Trigged : [V ResultStr]

  9.001  PORT         HOR:SCA 10E-9
# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (twice of required test signal).
  9.002  MATH         MEM = 1500; MEM1 = MEM

  9.003  DO
  9.004  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  9.005  IF           MEM > 5560 || MEM < 4.44
  9.006  MATH         MEM = 1500
  9.007  ENDIF

  9.008  DO

  9.009  IF           @Bandwidth == 100E+6
  9.010  9100         mVpp                         100MH          LS SC S  L
  9.011  ELSEIF       @Bandwidth == 200E+6
  9.012  9100         mVpp                         200MH          LS SC S  L
  9.013  ENDIF

  9.014  PORT         [D1000]Trig:MAI:SETL
# Check the status of trigger
  9.015  PORT         [D500]TRIG:STATE?[I$]
  9.016  UNTIL        FINDI(MEM2, "TRIG", 1)

  9.017  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  9.018  MATH         MEM = MEM / 1E-3
  9.019  UNTIL        (MEM >= 1450) && (MEM <= 1550)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 750 mVpp that is just the required test signal for trig
# sensitivity (1.5 div at bandwidth frequency).
  9.020  MATH         MEM = MEM1 / 2

  9.021  IF           @Bandwidth == 100E+6
  9.022  MATH         TestFreq = "100 MHz"
  9.023  9100         mVpp                         100MH          LS SC S  L
  9.024  ELSEIF       @Bandwidth == 200E+6
  9.025  MATH         TestFreq = "200 MHz"
  9.026  9100         mVpp                         200MH          LS SC S  L
  9.027  ENDIF

# Save the output of calibrator.
  9.028  MATH         mVppStd = MEM1
  9.029  PORT         TRIG:MAI SETLEV
# Save the peak value of signal for later checking the trigger status.
  9.030  MATH         @PeakValue = mVppStd / 2 * 1E-3
  9.031  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
  9.032  MATH         ResultStr = " Rising Slope, 1.5 div at " & TestFreq
  9.033  EVAL   -e @Trigged : [V ResultStr]

 10.001  JMPL         FALL_EDGE_SENS

# This TARGET and JMPL are here so "Repeat" and "Cancel" will perform
# a new waveform acquisition.
 10.002  TARGET       -p
# Re-setup the calibrator output.
 10.003  MATH         MEM = mVppStd

 10.004  IF           @Bandwidth == 100E+6
 10.005  9100         mVpp                         100MH          LS SC S  L
 10.006  ELSEIF       @Bandwidth == 200E+6
 10.007  9100         mVpp                         200MH          LS SC S  L
 10.008  ENDIF

 10.009  LABEL        FALL_EDGE_SENS
 10.010  PORT         TRIG:MAI:EDGE:SLO FALL
 10.011  PORT         TRIG:MAI SETLEV
# Save the peak value of signal for later checking the trigger status.
 10.012  MATH         @PeakValue = mVppStd / 2 * 1E-3
 10.013  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 10.014  MATH         ResultStr = " Falling Slope, 1.5 div at " & TestFreq
 10.015  EVAL   -e @Trigged : [V ResultStr]

 11.001  PORT         TRIG:MAI:EDGE:SLO RISE
 11.002  9100         *                                                 S
 11.003  END

 11.004  EVAL   Increment step number

# ******************************* External Trigger **************************

 12.001  LABEL        EXT_TRIGGER

 12.002  IF           @Chan == 1
 12.003  RSLT         =
 12.004  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
 12.005  ENDIF

 12.006  RSLT         =
 12.007  RSLT         = Channel [V @Chan]
 12.008  HEAD         CH [V @Chan] EXTERNAL EDGE-TRIGGER SENSITIVITY
 12.009  TARGET
 12.010  DISP         Connect the 9100 SIG OUT (on rear) to the input of a
 12.010  DISP         2 way power splitter via a N(m) to BNC(f) adapter.
 12.010  DISP
 12.010  DISP         Connect one output of the power splitter to UUT
 12.010  DISP         CH [V @Chan] via a N(m) to BNC(f) adapter, a BNC(m)-(m)
 12.010  DISP         cable and a 50 Ohm feed through terminator.
 12.010  DISP
 12.010  DISP         Connect the other output of the power splitter to UUT
 12.010  DISP         EXT TRIG via a N(m) to BNC(f) adapter, a BNC(m)-(m)
 12.010  DISP         cable and a 50 Ohm feed through terminator.
 12.011  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
 12.012  PORT         HOR:SCA 10E-9
 12.013  PORT         TRIG:MAI:MOD NORM;EDGE:SOU EXT
 12.014  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 2 Vpp, for the reason of using power slitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 4 Vpp.
 12.015  MATH         MEM = 2; MEM1 = 4

 12.016  DO
 12.017  MATH         MEM = MEM1 + (4 - 2 * MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 12.018  IF           MEM > 5.56 || MEM < 0.00444
 12.019  MATH         MEM = 4
 12.020  ENDIF

 12.021  IF           @Bandwidth == 100E+6
 12.022  9100         Vpp                          100MH          LS SC S  L
 12.023  ELSEIF       @Bandwidth == 200E+6
 12.024  9100         Vpp                          200MH          LS SC S  L
 12.025  ENDIF

 12.026  MATH         @PeakValue = MEM1 / 4
 12.027  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 12.028  PORT         [D500]MEASU:MEAS[V @Chan]:VAL?[I]
 12.029  UNTIL        (MEM >= 1.90) && (MEM <= 2.10)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 1 Vpp that is just the required test signal for external
# trig sensitivity.
 12.030  MATH         VppStd = MEM1 / 2
 12.031  MATH         MEM = VppStd

 12.032  IF           @Bandwidth == 100E+6
 12.033  9100         Vpp                          100MH          LS SC S  L
 12.034  MATH         TestFreq = "100 MHz"
 12.035  ELSEIF       @Bandwidth == 200E+6
 12.036  9100         Vpp                          200MH          LS SC S  L
 12.037  MATH         TestFreq = "200 MHz"
 12.038  ENDIF

 12.039  WAIT         -t 5 System settling...
 12.040  MATH         @PeakValue = MEM1 / 2 * 1E-3
 12.041  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 12.042  MATH         ResultStr = " Rising Slope, 2 div at " & TestFreq
 12.043  EVAL   -e @Trigged : [V ResultStr]

 13.001  JMPL         FALL_EDGE_EXSENS

# This TARGET and JMPL are here so "Repeat" and "Cancel" will perform
# a new waveform acquisition.
 13.002  TARGET
# Recall the saved output value of calibrator to set up output again.
 13.003  MATH         MEM = VppStd

 13.004  IF           @Bandwidth == 100E+6
 13.005  MATH         TestFreq = "100 MHz"
 13.006  9100         Vpp                          100MH          LS SC S  L
 13.007  ELSEIF       @Bandwidth == 200E+6
 13.008  MATH         TestFreq = "200 MHz"
 13.009  9100         Vpp                          200MH          LS SC S  L
 13.010  ENDIF

 13.011  WAIT         -t 5 System settling...

 13.012  LABEL        FALL_EDGE_EXSENS
 13.013  PORT         TRIG:MAI:EDGE:SLO FALL
# Save the peak value of signal for later checking the trigger status.
 13.014  MATH         @PeakValue = MEM1 / 2 * 1E-3
 13.015  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 13.016  MATH         ResultStr = " Falling Slope, 2 div at " & TestFreq
 13.017  EVAL   -e @Trigged : [V ResultStr]

 14.001  PORT         TRIG:MAI:EDGE:SLO RISE
 14.002  9100         *                                                 S
 14.003  END
 14.004  EVAL   Increment step number

# ******************************* Sample Rate *****************************

 15.001  LABEL        SAMPLE_RATE
 15.002  RSLT         =
 15.003  HEAD         SAMPLE RATE AND DELAY TIME ACCURACY
 15.004  TARGET
 15.005  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
 15.006  PORT         HOR:SCA 1E-3
 15.007  9100         10mT                         1Vpp           MK SC S  L
 15.008  WAIT         -t 3 System Settling ...
 15.009  PORT         TRIG:MAI SETLEV
 15.010  PORT         CH[V @Chan]:POS 0
 15.011  PORT         HOR:DEL:POS 10E-3
 15.012  PORT         HOR:SCA 250E-9
 15.013  MESS         Does the rising edge of the marker cross the center
 15.013  MESS         horizontal graticule line within ±2 divisions of
 15.013  MESS         center graticule?
 15.014  EVAL   -s "SAMPLE RATE AND DELAY TIME ACCURACY" :

 16.001  MESS
 16.002  9100         *                                                 S
 16.003  END
